#ifndef MAPA_H
#define MAPA_H
#include <vector>

class Mapa
{
public:
	Mapa();
	~Mapa();
	
	void Load(const char* file);
	void Destroy();
	int GetX() { return m_x; }
	int GetY() { return m_data.size(); }
	void ComputeRoute();
	char GetPt(int x, int y);
	std::vector<char*> GetData() { return m_data; }
	std::vector<std::pair<int,int> > m_speeds;
	int m_start_x, m_start_y;
private:
	int m_x; // rozmery
	std::vector<char*> m_data;
};

#endif

